﻿.custom_container_padding{
    padding-right:0px;
    padding-left:0px;
}


.products_section {
    padding-top: 16px;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-align-items: flex-start;
    -webkit-box-align: flex-start;
    -ms-flex-align: flex-start;
    align-items: flex-start;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

@media screen and (min-width: 180px) {
    .product_container {
        width: 100%;
        padding: 0px 0;
        margin: 5px 0;
    }
}

@media screen and (min-width: 1060px) {
    .product_container {
        width: calc(50% - 17.5px);
        margin: 16px 0;
        padding: 0;
        border: 1px solid rgba(217,219,224,0.5);
        height: 180px;
       
    }
}

.product_container {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
    /*cursor: pointer;*/
    /*padding: 16px 0;*/
    border-top: 1px solid rgba(217,219,224,0.5);
    box-sizing: content-box;
    
    position: relative;
    border-radius:6px;
}

@media screen and (min-width: 180px) {
    .product_container {
        height: 130px;
    }
}


@media screen and (min-width: 1060px) {
    .product_container {
        height: 180px;
    }
}



@media screen and (min-width: 180px) {
    .product_container_content {
        padding: 10px 10px 15px;
    }
}

@media screen and (min-width: 1060px) {
    .product_container_content {
        padding-right: 180px;
    }
}

@media screen and (min-width: 1060px) {
    .product_container_content {
        -webkit-box-pack: justify;
        -webkit-justify-content: space-between;
        -ms-flex-pack: justify;
        justify-content: space-between;
        padding: 20px 20px 15px;
    }
}

.product_container_item
{

}

.product_container_content {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-flex: 1;
    -ms-flex: 1;
    flex: 1;
    min-width: 0;
    /*padding: 9px 0;*/
}

.product_container_content_text_container {
    overflow:hidden;
    margin-right: 10px;
}

.product_container_content_text_product_name {
    font-family: DD-TTNorms, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    font-size: 16px;
    -webkit-letter-spacing: -0.28px;
    -moz-letter-spacing: -0.28px;
    -ms-letter-spacing: -0.28px;
    letter-spacing: -0.28px;
    font-weight: 700;
    line-height: normal;
    display: block;
    word-wrap: break-word;
    color: #2D3138;
    margin: 0 0 5px;
    /* text-overflow: ellipsis;
    white-space: nowrap;*/
}

.product_container_content_text_product_desc {
    display: block;
    display: -webkit-box;
    overflow: hidden;
    -webkit-box-orient: vertical;
    line-clamp: 2;
    -webkit-line-clamp: 2;
    font-family: DD-TTNorms, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    font-size: 14px;
    -webkit-letter-spacing: 0.14px;
    -moz-letter-spacing: 0.14px;
    -ms-letter-spacing: 0.14px;
    letter-spacing: 0.14px;
    font-weight: 400;
    line-height: normal;
    line-height: 1.43;
    color: rgba(143,149,163,0.9);
    margin-bottom: 5px;
}

.product_container_content_price_container {
    line-height: 20px;
}

.product_container_content_price {
    font-family: DD-TTNorms, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    font-size: 16px;
    -webkit-letter-spacing: -0.16px;
    -moz-letter-spacing: -0.16px;
    -ms-letter-spacing: -0.16px;
    letter-spacing: -0.16px;
    font-weight: 600;
    line-height: normal;
    color: #28a745; /* #00CC99;*/
    font-size: 13px;
    -webkit-text-decoration: none;
    text-decoration: none;
}


@media screen and (min-width: 1060px) {
    .product_container_content_image_container {
        position: relative;
    }
}

.product_container_content_image_container {
    position: relative;
    background-color: transparent;
    overflow: hidden;
    width: 120px;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

@media screen and (min-width: 180px) {
    .product_container_content_image_container {
        height: 100%;
        /*position: absolute;*/
        right: 0;
        top: 0;
    }
}

.shadow {
    box-shadow: 0 .1rem .3rem rgba(0,0,0,.15) !important;
}

    .product_container_content_image_container::after {
        content: "";
        position: absolute;
        inset: 0px;
        width: 100%;
        height: 100%;
        z-index: inherit;
        background-color: rgba(45, 49, 56, 0.03);
    }

.product_container_content_image {
    position: absolute;
    background-position: center center;
    background-size: cover;
    background-repeat: no-repeat;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    -webkit-transition: opacity 0.4s linear;
    transition: opacity 0.4s linear;

}

.product_image {
    width: 100%;
    height: 100%;
    object-fit: cover;
  /*  padding: 15px 15px 15px 15px;*/
}

.product_add_to_cart_container
{
    /*width:70%;*/
}

.btn-add-to-cart {
    font-family: DD-TTNorms, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    background-color: #F5F5F5;
    color: #28a745;
    width: 100%;
    height: 35px;
    font-size: 15px;
    font-weight: 700;
    margin-top: 10px;
    border-radius: 40px;
}

    .btn-add-to-cart:hover {
        background-color: #DBEEE4;
        color: #28a745;
    }


.category-title {
    color: #28a745;
    font-size: 20px;
    margin-top:22px;
    scroll-margin-top: 10rem;
    font-family: DD-TTNorms, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}




.spinner {
    border: 16px solid silver;
    border-top: 16px solid #337AB7;
    border-radius: 50%;
    width: 80px;
    height: 80px;
    animation: spin 700ms linear infinite;
    top: 40%;
    left: 55%;
    position: absolute;
}

@keyframes spin {
    0% {
        transform: rotate(0deg)
    }

    100% {
        transform: rotate(360deg)
    }
}




.filter_menu_container {
    display: flex;
    /*margin: 0px auto;*/
    padding: 16px 16px 0px;
    background-color: rgb(255, 255, 255);
    border-bottom: 0px solid rgb(231, 231, 231);
    /*position: sticky;
    top: 48px;
    z-index: 98;*/


    position: -webkit-sticky;
    position: sticky;
    top: 256px; /* The height of top nav menu. */
    z-index: 1;
    /*max-width: 960px;*/
}

.filter_menu_container_group {
    flex: 1 1 0%;
    overflow-x: scroll;
    white-space: nowrap;
    -ms-overflow-style: none; /* Internet Explorer 10+ */
    scrollbar-width: none; /* Firefox */
}

    .filter_menu_container_group::-webkit-scrollbar {
        display: none; /* Safari and Chrome */
    }

.filter_menu_item {
    position: relative;
    display: inline-block;
    text-align: center;
    cursor: pointer;
    height: 100%;
    vertical-align: middle;
    margin-left: 24px;
    /*margin-right: 40px;*/
}

    .filter_menu_item:first-child {
        margin-left: 5px;
    }

.filter_menu_item_text_container {
    max-width: 100%;
    margin-bottom: 12px;
}

.filter_menu_item_text {
    font-size: 18px;
    font-family: DD-TTNorms, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    font-weight: 550;
    line-height: 20px;
    letter-spacing: -0.04ch;
    text-transform: none;
    color: rgb(25, 25, 25);
    margin: 0px;
    padding: 0px;
    display: block;
    font-variant-ligatures: no-common-ligatures;
}

.filter_menu_item_text_underline {
    position: absolute;
    bottom: 0px;
    height: 4px;
    background-color: rgb(25, 25, 25);
    width: 100%;
    border-radius: 8px 8px 0px 0px;
}

.filter_menu_right_arrow {
    background-color: rgb(255, 255, 255);
    padding-top: 10px;
    padding-left: 16px;
    padding-right: 0px;
    padding-bottom: 0px;
    position: absolute;
    right: 4px;
    top: 0px;
    -webkit-mask-image: linear-gradient(90deg, rgba(255, 255, 255, 0) 0px, rgb(255, 255, 255) 16px, rgb(255, 255, 255) 100%);
}

.left_arrow_container {
    background-color: rgb(255, 255, 255);
    padding-top: 10px;
    padding-right: 16px;
    padding-bottom: 0px;
    position: absolute;
    left: 0px;
    top: 0px;
    -webkit-mask-image: linear-gradient(90deg, rgb(255, 255, 255) 0px, rgb(255, 255, 255) 32px, rgba(255, 255, 255, 0) 100%);
    
}

.left_arrow_button {
    position: relative;
    max-width: 100%;
    filter_menu_container margin: 0px;
    display: inline-flex;
    min-height: 32px;
    border-radius: 32px;
    border: none;
    cursor: pointer;
    transition: background-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
    user-select: none;
    text-decoration: none;
    text-align: center;
    background-color: rgb(255, 255, 255);
    box-shadow: transparent 0px 0px 0px 1px inset;
    width: 32px;
    height: 32px;
    padding: 0px;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
}

.right_arrow_button {
    position: relative;
    max-width: 100%;
    filter_menu_container margin: 0px;
    display: inline-flex;
    min-height: 32px;
    border-radius: 32px;
    border: none;
    cursor: pointer;
    transition: background-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s;
    user-select: none;
    text-decoration: none;
    text-align: center;
    background-color: rgb(255, 255, 255);
    box-shadow: transparent 0px 0px 0px 1px inset;
    width: 32px;
    height: 32px;
    padding: 0px;
    -webkit-box-align: center;
    align-items: center;
    -webkit-box-pack: center;
    justify-content: center;
}
.sticky_filter {
    margin-top:25px;
    max-width:85em;
    margin-bottom:40px;
    position : fixed;
    top: 60px;
    width: 100%;
    left: 50%;
    transform: translateX(-50%);
}

.blazored-modal-custom-position {
    align-items: center;
    justify-content: center;
    padding-top: 90px;
}

/*.blazored-modal-container {
    margin-top: 80px;
}




.blazored-modal-content {
    height: 40px;
    overflow-y: auto;
}*/
/*

.blazored-modal {
    margin-top: 100px;
}

@media screen and (max-width: 600px) {

    .modal-custom-pos  .blazored-modal-content {
        height: 400px;
        overflow-y: auto;
    }
}*/
nav-item:first-of-type {
    padding-top: 0rem;
    color: blue;
}
